%global modulename read-package-tree

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-read-package-tree
Version:        5.2.1
Release:        1%{?dist}
Summary:        Read the contents of node_modules.

License:        ISC
URL:            https://github.com/npm/read-package-tree
Source0:        https://registry.npmjs.org/read-package-tree/-/read-package-tree-5.2.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(debuglog) >= 1.0.1 with npmlib(debuglog) < 2.0.0))
BuildRequires:  ((npmlib(dezalgo) >= 1.0.0 with npmlib(dezalgo) < 2.0.0))
BuildRequires:  ((npmlib(once) >= 1.3.0 with npmlib(once) < 2.0.0))
BuildRequires:  ((npmlib(read-package-json) >= 2.0.0 with npmlib(read-package-json) < 3.0.0))
BuildRequires:  ((npmlib(readdir-scoped-modules) >= 1.0.0 with npmlib(readdir-scoped-modules) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Read the contents of node_modules.

%package 5.2.1
Summary:        Read the contents of node_modules.


%description 5.2.1
Read the contents of node_modules.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr rpt.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 5.2.1
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Sat Nov 17 2018 npm2srpm <dshea@redhat.com> - 5.2.1-1
- Package automatically generated by npm2srpm
